### Method

# Nautilus FileInfo get_parent_info

#### Declaration [src]

    NautilusFileInfo*
    nautilus_file_info_get_parent_info (
      NautilusFileInfo* file_info
    )

#### Description [src]

Get the parent `NautilusFileInfo`.

It’s not safe to call this recursively multiple times, as it works only for files already cached by Nautilus.

#### Return value

Type: `NautilusFileInfo`

A `NautilusFileInfo` for the parent of `file_info`, or `NULL` if `file_info` has no parent.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.